import numpy as np
from scipy import optimize

def Q(f):
	x = [0., -np.sqrt(5./11. - 2./11.*np.sqrt(5./3.)), np.sqrt(5./11. - 2./11.*np.sqrt(5./3.)), -np.sqrt(5./11. + 2./11.*np.sqrt(5./3.)), np.sqrt(5./11. + 2./11.*np.sqrt(5./3.)), 1.,-1.]
	w = [256./525.,(124.+7.*np.sqrt(15.))/350.,(124.+7.*np.sqrt(15.))/350., (124.-7.*np.sqrt(15.))/350.,(124.-7.*np.sqrt(15.))/350.,1./21., 1./21.]

	q = 0.;
	for k in range (0,len(x)):
		q = q + w[k]*f(x[k])

	return q 


for k in range (0,15):
	f = lambda x: x**k
	I = (1.-(-1.)**(k+1))/(k+1)
	q = Q(f)
	if (abs(q-I) <= 1e-15) :
		print("Die Quadraturformel ist exakt fuer polynome von Grad " + str(k))
	else :
		print("Das erste falsche Ergebnis ist " + str(k))
		break
